Class | ActionController::Pagination::Paginator::Window
In: | lib/action_controller/pagination.rb
Parent: | Object

A class for representing ranges around a given page.

### Methods

new padding= pages to_a

### Attributes

first | [R] |
last | [R] |
padding | [R] |
page | [R] |
paginator | [R] |

### Public Class methods

new(page, padding=2)

Creates a new Window object for the given `page` with the specified `padding`.

### Public Instance methods

padding=(padding)

Sets the window‘s padding (the number of pages on either side of the window page).

pages()

Returns an array of Page objects in the current window.

to_a()

Alias for pages

[Validate]